Package twisted :: Package internet :: Module interfaces :: Class IServiceCollection

[frames | no frames]

## Class IServiceCollection

    Interface --+
                |
               IServiceCollection

An object which provides access to a collection of services.

Method Summary
| ``addService`(self, service)` Add a service to this collection.
| ``getServiceNamed`(self, serviceName)` Retrieve the named service from this application.
| ``removeService`(self, service)` Remove a service from this collection.

Method Details

### addService(self, service)

Add a service to this collection.

### getServiceNamed(self, serviceName)

Retrieve the named service from this application.

Raise a KeyError if there is no such service name.

### removeService(self, service)

Remove a service from this collection.

Generated by Epydoc 2.0 on Sat May 15 20:08:28 2004 | http://epydoc.sf.net